| Disk ARchive 2.5.10 Full featured and portable backup and archiving tool

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
libdar::deci Class Reference

decimal class, convert infinint from and to decimal represention More...

`#include <deci.hpp>`

Inherits libdar::on_pool.

## Public Member Functions
| deci (std::string s)
| deci (const infinint &x)
| constructor to build a "deci" from an infinint
| deci (const deci &ref)
| copy constructor
| ~deci ()
| destructor
const deci & | operator= (const deci &ref)
| copy operator
infinint | computer () const
| this produce a infinint from the decimal stored in the current object
std::string | human () const
| this produce a string from the decimal stored in the current object
Public Member Functions inherited from libdar::on_pool
void * | operator new (size_t n_byte)
void * | operator new (size_t n_byte, const std::nothrow_t &nothrow_value)
void * | operator new[] (size_t n_byte)
void * | operator new[] (size_t n_byte, const std::nothrow_t &nothrow_value)
void * | operator new (size_t n_byte, memory_pool *p)
void * | operator new[] (size_t n_byte, memory_pool *p)
void | operator delete (void *ptr, memory_pool *p)
| this operator is called by the compiler if an exception is throw from the constructor of the allocated object
void | operator delete[] (void *ptr, memory_pool *p)
| this operator is called by the compiler if an exception is throw from the constructor of the allocated objects
void | operator delete (void *ptr)
| this is the usual delete operator, modified to handle allocated objects allocated on a memory pool or not
void | operator delete[] (void *ptr)
| this is the usual delete[] operator, modified to handle allocated objects allocated on a memory pool or not

## Additional Inherited Members
Protected Member Functions inherited from libdar::on_pool
memory_pool * | get_pool () const
template<class T >
void | meta_new (T *&ptr, size_t num)
template<class T >
void | meta_delete (T *ptr)

## Detailed Description

decimal class, convert infinint from and to decimal represention

the class contains the decimal representation of an integer and can produce a readable string to display the corresponding integer it can also produce a computer value corresponding to the decimal value. In the other side, objects of this class can be built from a integer as well as from a string representing the decimals of an integer.

Definition at line 50 of file deci.hpp.

## Constructor & Destructor Documentation

libdar::deci::deci | ( | std::string | s | ) |

constructor to build a "deci" object from a string representing decimals

Note
  may throw Edeci exception if the given string does not correspond to a positive integer in decimal notation

The documentation for this class was generated from the following file:

- deci.hpp